﻿package com.Islands 
{
	import org.flixel.*;
	
	public class Psi extends FlxSprite
	{
		[Embed(source = '../../gfx/psi.png')] private var ImgPsi:Class;
		
		public function Psi(X:Number, Y:Number)
		{
			super(X, Y);
			loadGraphic(ImgPsi, true, false, Islands.TILE_SIZE);
			addAnimation("twinkle", [0, 1, 2, 3, 2, 1], 5, true);
			play("twinkle");
			fixed = true;
		}
		
		override public function kill():void 
		{
			super.kill();
			(FlxG.state as GameState).Win();
		}
		
		override public function hitLeft(Contact:FlxObject, Velocity:Number):void 
		{
			super.hitLeft(Contact, Velocity);
			
			if (Contact is Player)
				kill();
				
		}
		
		override public function hitBottom(Contact:FlxObject, Velocity:Number):void 
		{
			super.hitBottom(Contact, Velocity);
			if (Contact is Player)
				kill();
		}
		
		override public function hitRight(Contact:FlxObject, Velocity:Number):void 
		{
			super.hitRight(Contact, Velocity);
			if (Contact is Player)
				kill();
		}
		
		override public function hitTop(Contact:FlxObject, Velocity:Number):void 
		{
			super.hitTop(Contact, Velocity);
			if (Contact is Player)
				kill();
		}
		
	}

}