﻿package com.Islands 
{
	import org.flixel.*;

	public class TitleState extends FlxState
	{
		
		public function TitleState() 
		{
			super();
		}
		
		override public function create():void 
		{
			super.create();
			bgColor = 0xffaaaaff;
			
			var txt:FlxText = new FlxText(0, FlxG.height / 2 - 35, FlxG.width, "you are me now");
			txt.setFormat(null, 24, 0xff999999, "center", 0xff0000ff);
			this.add(txt);
			
			txt = new FlxText(0, FlxG.height / 2 + 15, FlxG.width, "Version " + Islands.version);
			txt.setFormat(null, 8, 0xff999999, "center", 0xf0000ff);
			this.add(txt);
			
			if (FlxG.debug)
			{
				txt = new FlxText(0, 0, FlxG.width, "DEBUG!!!");
				txt.setFormat(null, 14, 0xFF0000, "center");
				this.add(txt);
				txt.flicker(10);
			}
			
			txt = new FlxText(0,  FlxG.height / 2 + 30, FlxG.width, "by Eli Brody");
			txt.setFormat(null, 8, 0xff3D7006, "center", 0xff999999);
			this.add(txt);
			
			txt = new FlxText(0,  FlxG.height / 2 + 40, FlxG.width, "[LD48 #17]");
			txt.setFormat(null, 8, 0xff3D7006, "center", 0xff999999);
			this.add(txt);
			
			
			txt = new FlxText(0, FlxG.height - 40, FlxG.width, "Press X to play");
			txt.setFormat(null, 8, 0xff8F4300, "center", 0xff999999);
			this.add(txt);
			
			txt = new FlxText(0, FlxG.height - 20, FlxG.width, "Press C to view credits");
			txt.setFormat(null, 8, 0xff0000ff, "center", 0xff999999);
			this.add(txt);
		}
		
		protected function OnFadeFinish():void
		{
			FlxG.state = new QuoteState();
		}
		
		protected function OnFadeFinishCredits():void
		{
			FlxG.state = new CreditState();
		}
		
		override public function update():void 
		{
			super.update();
			
			if (FlxG.keys.justPressed("X"))
			{
				FlxG.fade.start(0xff000000, 1, OnFadeFinish);
			}
			
			if (FlxG.keys.justPressed("C"))
			{
				FlxG.fade.start(0xff000000, 1, OnFadeFinishCredits);
			}
		}
	}
}