﻿package com.Islands 
{
	import org.flixel.*;

	public class WinState extends FlxState
	{
		
		public function WinState() 
		{
			super();
		}
		
		override public function create():void 
		{
			super.create();
			bgColor = 0xffaaaaaa;
			
			SoundLibrary.PlaySound(SoundLibrary.SOUND_MUSIC_INTRO, 5);
			
			var youare:YouAreMe = new YouAreMe(FlxG.width - 81, 0);
			this.add(youare);
			
			var txt:FlxText = new FlxText(0, 20, FlxG.width - 82, "You have found the golden mind-harp!");
			txt.setFormat(null, 16, 0xffFF7700, "center", 0xff4D2D12);
			this.add(txt);
			
			txt = new FlxText(0, FlxG.height/2, FlxG.width - 82, "Your mental powers continue to flourish.");
			txt.setFormat(null, 8,  0xffFF7700, "center", 0xff4D2D12);
			this.add(txt);
			
			txt = new FlxText(0, 3*FlxG.height/4, FlxG.width - 82, "tune in next time for more places to explore!");
			txt.setFormat(null, 8,  0xffBD5A04, "center", 0xff4D2D12);
			//this.add(txt);
			
			txt = new FlxText(0, FlxG.height - 15, FlxG.width - 82, "(press C to view credits)");
			txt.setFormat(null, 8,  0xffBD5A04, "center", 0xff4D2D12);
			this.add(txt);
			
		}
		
		protected function OnFadeFinish():void
		{
			FlxG.state = new CreditState();
		}
		
		override public function update():void 
		{
			super.update();
			
			if (FlxG.keys.justPressed("C"))
			{
				FlxG.fade.start(0xff000000, 1, OnFadeFinish);
			}
		}
	}
}