﻿package com.Islands 
{
	import org.flixel.*;
	import flash.display.*;
	import flash.geom.Matrix;
	import flash.geom.Point;
	
	public class Background extends FlxSprite
	{
		public function Background():void
		{
			super(0, 0);
			createGraphic(FlxG.width, Islands.TILE_SIZE * 50, 0x00000000);
			
			var s:Shape = new Shape();
			var bmpd:BitmapData = new BitmapData(this.width, this.height);
			
			var mat:Matrix = new Matrix();
			mat.createGradientBox(this.width, this.height, Math.PI / 2, 0, 0);
			
			//from top down.
			var colors:Array = [0x34C2ED,
								0xffffff]
								//0x000000]
								;
			var ratios:Array = [0, 255];//, 200];
			var alphas:Array = new Array();

			for (var item:Object in colors)
				alphas.push(1);
			
			s.graphics.beginGradientFill(GradientType.LINEAR, colors, alphas,
				ratios, mat, SpreadMethod.PAD, InterpolationMethod.RGB, 0); 
			s.graphics.drawRect(0,0, this.width, this.height);
			s.graphics.endFill();
			bmpd.draw(s);
			
			_framePixels.copyPixels(bmpd, bmpd.rect, new Point(0, 0), bmpd, new Point(0, 0), false);
			
			scrollFactor = new FlxPoint(0,1);
		}
	}
}