﻿package com.Islands 
{
	import org.flixel.*;
	
	public class Checkpoint extends FlxSprite
	{
		[Embed(source = '../../gfx/Signpost.png')] private var ImgSign:Class;
		
		public function Checkpoint(X:Number, Y:Number)
		{
			super(X, Y);
			loadGraphic(ImgSign, true, false, Islands.TILE_SIZE);
			addAnimation("activated", [2], 1, true);
			play("activated", true);
		}
		
		public function Set(X:Number, Y:Number):void
		{
			if ((this.x != X) && (this.y != Y))
			{
				SoundLibrary.PlaySound(SoundLibrary.SOUND_ACTIVATE_CHECKPOINT);
			}
			
			this.x = X;
			this.y = Y;
		}
	}
}