﻿package com.Islands 
{
	import org.flixel.*;
	
	public class TextSign extends FlxGroup
	{
		
		protected const _faderade:Number = 1;
		protected var _time_elapsed:Number = 0;
		protected var _txt:FlxText;
		protected var _dumb:DummySprite;
		
		public function TextSign(X:Number, Y:Number, text:String):void
		{
			super();
			
			_txt = new FlxText(0, 0, FlxG.width, text);
			_txt.setFormat(null, 16, 0xff333333, "center", 0xaaE88B3A);
			this.add(_txt);
			this.scrollFactor.x = scrollFactor.y = 0;
			_txt.scrollFactor.x = _txt.scrollFactor.y = 0;
			
			
			_dumb = new DummySprite(X, Y);
			this.visible = false;
		}
		
		override public function overlaps(Object:FlxObject):Boolean 
		{
			return _dumb.overlaps(Object);
		}
		
		public function Show():void
		{
			_time_elapsed = 0;
			visible = true;
		}
		
		override public function update():void 
		{
			super.update();
			
			if (!visible)
				return;
				
			_time_elapsed += FlxG.elapsed;
			
			
			var thealpha:Number = 1 - _time_elapsed * _faderade;
			_txt.alpha = Math.max(thealpha, 0);
			if (thealpha <= 0)
				this.visible = false;
		}
	}
}